Overclock.net › Forums › Software, Programming and Coding › Operating Systems › Linux, Unix › php mycrypt installation
New Posts  All Forums:Forum Nav:

php mycrypt installation

post #1 of 4
Thread Starter 
Hi, i need to install php mycrypt for php 5.2.x

I downloaded the X64 package for ubuntu 10.04 and tried this :
Code:
root@ip-10-134-171-168:~# dpkg -i php5-mcrypt_5.2.6-0ubuntu2_amd64.deb
(Reading database ... 125273 files and directories currently installed.)
Preparing to replace php5-mcrypt 5.2.6-0ubuntu2 (using php5-mcrypt_5.2.6-0ubuntu2_amd64.deb) ...
Unpacking replacement php5-mcrypt ...
dpkg: dependency problems prevent configuration of php5-mcrypt:
 php5-mcrypt depends on phpapi-20060613; however:
  Package phpapi-20060613 is not installed.
dpkg: error processing php5-mcrypt (--install):
 dependency problems - leaving unconfigured
Processing triggers for libapache2-mod-php5 ...
 * Reloading web server config apache2                                   [ OK ] 
Errors were encountered while processing:
 php5-mcrypt
root@ip-10-134-171-168:~#
It says Package phpapi-20060613 is not installed. How do i fix this? Kindly help. Thanks.
Green Transporter
(17 items)
 
  
CPUMotherboardGraphicsRAM
AMD X6 1090T (@ 3.64GHz) Asus 890 GX EVGA GTX 285 Corsair 4 GB DDR3 1600MHz 
Hard DriveHard DriveHard DriveHard Drive
WD 500 WD 500 WD 250 Segate 80 
Hard DriveOptical DriveOSMonitor
Samsung SDD LG BLU RAY DRIVE Windows 7 64-bit LG 23'' LED 
PowerCaseMouse
Corsair TX750W CM 690 Logitech  
  hide details  
Reply
Green Transporter
(17 items)
 
  
CPUMotherboardGraphicsRAM
AMD X6 1090T (@ 3.64GHz) Asus 890 GX EVGA GTX 285 Corsair 4 GB DDR3 1600MHz 
Hard DriveHard DriveHard DriveHard Drive
WD 500 WD 500 WD 250 Segate 80 
Hard DriveOptical DriveOSMonitor
Samsung SDD LG BLU RAY DRIVE Windows 7 64-bit LG 23'' LED 
PowerCaseMouse
Corsair TX750W CM 690 Logitech  
  hide details  
Reply
post #2 of 4
Can't you install that from a repo? It seems to be complaining for not having all the dependencies to build it properly.
You could try adding -f (force) or another argument to suppress and ignore warnings, but might end up with a broken installation.
The other option is, of course, manually downloading all the dependencies lacking and install them manually, but I bet that is just the first one it find out to be missing, so you better try to find a repo with those packages!
post #3 of 4
Yeah, use the repo if you can because doing packages manually makes the dependency stuff annoying. Especially since it doesn't always tell you the order in which they go, just what they are.
Current Rig
(14 items)
 
  
CPUMotherboardGraphicsRAM
FX-8350 4.6GHz@1.44v GA-990FXA-UD3 R4.0 HD 7950 (1100/1450) 8G Muskin DDR3 1866@8CLS 
Hard DriveOptical DriveOSMonitor
1TB WD LiteOn DVD-RW DL Linux/Windows 19" Phillips TV 1080p 
PowerCaseMouseMouse Pad
OCZ 600W Generic Junk Logitech MX400 Generic Junk 
Audio
SBL 5.1 
  hide details  
Reply
Current Rig
(14 items)
 
  
CPUMotherboardGraphicsRAM
FX-8350 4.6GHz@1.44v GA-990FXA-UD3 R4.0 HD 7950 (1100/1450) 8G Muskin DDR3 1866@8CLS 
Hard DriveOptical DriveOSMonitor
1TB WD LiteOn DVD-RW DL Linux/Windows 19" Phillips TV 1080p 
PowerCaseMouseMouse Pad
OCZ 600W Generic Junk Logitech MX400 Generic Junk 
Audio
SBL 5.1 
  hide details  
Reply
post #4 of 4
Assuming you've got valid reason to avoid using the package manager to install and handle dependencies for you (package manager way being running 'sudo apt-get install php5-mcrypt'), the Ubuntu repo pages give a full breakdown of dependencies and which other packages provide them for your particular release. I'd guess the most likley reason for your error is that you've not got the PHP module for Apache installed.

http://packages.ubuntu.com/lucid/php5-mcrypt
Morpheus Mini
(7 items)
 
  
CPUMotherboardGraphicsRAM
i7-6700T SN970 GTX 960 Crucial CT102464BF160B 
Hard DriveOSAudio
Samsung 850 Evo M.2 Windows 10 Pro MOTU Audio Express 
  hide details  
Reply
Morpheus Mini
(7 items)
 
  
CPUMotherboardGraphicsRAM
i7-6700T SN970 GTX 960 Crucial CT102464BF160B 
Hard DriveOSAudio
Samsung 850 Evo M.2 Windows 10 Pro MOTU Audio Express 
  hide details  
Reply
New Posts  All Forums:Forum Nav:
  Return Home
  Back to Forum: Linux, Unix
Overclock.net › Forums › Software, Programming and Coding › Operating Systems › Linux, Unix › php mycrypt installation